# Accessibility::Document Interface Reference

`import "Accessibility_Document.idl";`

## Public Member Functions

string | getLocale ()
string | getAttributeValue (in string attributename)
AttributeSet | getAttributes ()

## Detailed Description

Primarily a 'tagging' interface which indicates the start of document content in the Accessibility hierarchy. Accessible objects below the node implementing Document are normally assumed to be part of the document content. Attributes of Document are those attributes associated with the document as a whole. Objects that implement Document are normally expected to implement Collection as well.

See also:
  Accessibility::Collection

## Member Function Documentation

string Accessibility::Document::getLocale | ( |  | ) |

Gets the locale associated with the document's content. e.g. the locale for LOCALE_TYPE_MESSAGES.

Returns:
  a string compliant with the POSIX standard for locale description.

string Accessibility::Document::getAttributeValue | ( | in string | attributename | ) |

Gets the value of a single attribute, if specified for the document as a whole.

Parameters:

  | attributename,: | a string indicating the name of a specific attribute (name-value pair) being queried.

Returns:
  a string corresponding to the value of the specified attribute, or an empty string if the attribute is unspecified for the object.

AttributeSet Accessibility::Document::getAttributes | ( |  | ) |

Gets all attributes specified for a document as a whole. For attributes which change within the document content, see Accessibility::Text::getAttributes instead.

Returns:
  an AttributeSet containing the attributes of the document, as name-value pairs.

Since:
  AT-SPI 1.8.0

The documentation for this interface was generated from the following file:

- /home/liyuan/src/at-spi/idl/Accessibility_Document.idl